## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.7

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XalanHTMLElementsProperties::InternalAttributeProperties Struct Reference

`#include <XalanHTMLElementsProperties.hpp>`

List of all members.

## Public Types

- typedef unsigned char FlagsType

## Public Methods

- bool is (FlagsType theFlags) const
    Check if particular properties are set for this instance. More...

## Public Attributes

- XalanDOMChar m_name [eMaxAttributeName + 1]
- FlagsType m_flags

## Member Typedef Documentation

typedef unsigned char XalanHTMLElementsProperties::InternalAttributeProperties::FlagsType

## Member Function Documentation

bool XalanHTMLElementsProperties::InternalAttributeProperties::is ( | FlagsType theFlags ) const`[]`

Check if particular properties are set for this instance.

See the eFlag enum for the valid properties.

Parameters:

  theFlags | The properties to check.

Returns:
  true if the property is set, false if not

## Member Data Documentation

FlagsType XalanHTMLElementsProperties::InternalAttributeProperties::m_flags

XalanDOMChar XalanHTMLElementsProperties::InternalAttributeProperties::m_name[eMaxAttributeName+1]

The documentation for this struct was generated from the following file:

- XalanHTMLElementsProperties.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.7 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.